Package org.eclipse.ecf.osgi.services.remoteserviceadmin

# Class EndpointDescriptionWriter.MultiValueProperty

java.lang.Object
org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.ComplexProperty
org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.MultiValueProperty

Direct Known Subclasses:
  `EndpointDescriptionWriter.ArrayProperty`, `EndpointDescriptionWriter.ListProperty`, `EndpointDescriptionWriter.SetProperty`

Enclosing class:
  EndpointDescriptionWriter

protected abstract class EndpointDescriptionWriter.MultiValueProperty extends EndpointDescriptionWriter.ComplexProperty

## Constructor Summary

Constructors
Constructor
Description
`MultiValueProperty(String name, Object value)`

## Method Summary

Modifier and Type
Method
Description
`void`
`writeProperty(int indentLevel, Writer writer)`

### Methods inherited from class org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.ComplexProperty

`getName, getValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiValueProperty

public MultiValueProperty(String name, Object value)

## Method Details

### writeProperty

public void writeProperty(int indentLevel, Writer writer) throws IOException

Specified by:
  `writeProperty` in class `EndpointDescriptionWriter.ComplexProperty`
Throws:
  `IOException`